package com.ruoyi.web.v2.v1.service;

import com.ruoyi.common.core.domain.AjaxResult;
import com.ruoyi.web.v2.v1.model.JsInStock;
import com.baomidou.mybatisplus.extension.service.IService;

/**
 * <p>
 * v2.0物料入库 服务类
 * </p>
 *
 * @author author
 * @since 2025-05-23
 */
public interface IJsInStockService extends IService<JsInStock> {

    AjaxResult add(JsInStock inStock);

    AjaxResult edit(JsInStock inStock);

    AjaxResult delete(String ids);

    AjaxResult page(Integer pageNum, Integer pageSize, String startTime, String endTime, String materialBatch,
                    String materialName, Integer materialType,  Boolean needAllFlag);

    AjaxResult listAll(String materialBatch);

}
